Bug 880473 - Can we drop Conflicts: dejavu-fonts from spec file?
Summary: Can we drop Conflicts: dejavu-fonts from spec file?
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dejavu-fonts
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Mailhot
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-27 04:47 UTC by Pravin Satpute
Modified: 2013-12-26 14:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-26 14:07:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Pravin Satpute 2012-11-27 04:47:29 UTC
Description of problem:
while running fedora-review on dejavu-fonts, got following error
- Package does not generate any conflict.
Note: Package contains Conflicts: tag(s) needing fix or justification. 

Do we still need conflicts for Fedora 11 packages?

Conflicts: dejavu-fonts < 2.26-3
Conflicts: dejavu-fonts-experimental < 2.26-3 

Version-Release number of selected component (if applicable):
dejavu-fonts-2.33-4

Comment 1 Peter Gordon 2012-11-27 05:00:15 UTC
Hmm. Even the oldest supported version is 2.32/2.33 in Fedora 16, so it's definitely not going to require that conflict tag. 

Nicolas, what's your take on this please? Is it a safe presumption to make that we'll not have this necessary in F16+? Thanks.

Comment 2 Nicolas Mailhot 2012-11-27 08:49:03 UTC
It's historical and harmless but yes it can be dropped

Comment 3 Parag Nemade 2013-09-10 07:12:39 UTC
If no one commits in one week, I will remove Conflicts from spec file and build new package.

Comment 4 Fedora End Of Life 2013-12-21 09:30:56 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Pravin Satpute 2013-12-23 04:10:13 UTC
This bug is still present in master branch.
Version: 2.34
Release: 1%{?alphatag}%{?dist}

Parag can you fix this?

Comment 6 Parag Nemade 2013-12-26 14:07:05 UTC
Okay. Fixed in rawhide dejavu-fonts-2.34-2.fc21


Note You need to log in before you can comment on or make changes to this bug.